[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
[Emacs-diffs] scratch/merge-cedet-tests c9de94f 064/316: * cit-test.sh:
From: |
Edward John Steere |
Subject: |
[Emacs-diffs] scratch/merge-cedet-tests c9de94f 064/316: * cit-test.sh: Add support for running in batch mode. |
Date: |
Sat, 28 Jan 2017 09:09:48 +0000 (UTC) |
branch: scratch/merge-cedet-tests
commit c9de94f85bf4e0bdd97597a4272de74d2e1472d1
Author: David Engster <address@hidden>
Commit: Edward John Steere <address@hidden>
* cit-test.sh: Add support for running in batch mode.
---
test/manual/cedet/cit-test.sh | 25 +++++++++++++++++--------
1 file changed, 17 insertions(+), 8 deletions(-)
diff --git a/test/manual/cedet/cit-test.sh b/test/manual/cedet/cit-test.sh
index 89d1568..53dd57d 100755
--- a/test/manual/cedet/cit-test.sh
+++ b/test/manual/cedet/cit-test.sh
@@ -1,18 +1,27 @@
#!/bin/sh
-EMACS=${EMACS:-emacs};
+EMACS=${EMACS:-emacs}
-STYLE=$1;
+STYLE=$1
if [ -z $1 ]; then
STYLE=Make
fi
+# Further Emacs options (like --batch)
+OPTIONS=$2
+
rm -r /tmp/CEDET_INTEG*
-if $EMACS -q -l ../common/cedet.el -l cit-load.el -f toggle-debug-on-error -f
toggle-debug-on-quit -f cedet-integ-test-${STYLE}; then
- # Reverse the meaning of a 0 exit status, as the user had to quit Emacs
- # but on success, the program kills emacs with 1 (to be different.)
- exit 1;
+$EMACS $OPTIONS -q -l ../common/cedet.el -l cit-load.el -f
toggle-debug-on-error -f toggle-debug-on-quit -f cedet-integ-test-${STYLE}
+EXITCODE=$?
+
+if [ $EXITCODE -eq 0 ]; then
+ # Reverse the meaning of a 0 exit status, as the user had to quit Emacs.
+ exit 1
+elif [ $EXITCODE -eq 1 ]; then
+ # On success, the program kills emacs with 1 (to be different.)
+ exit 0
else
- exit 0;
-fi
\ No newline at end of file
+ # Otherwise, Emacs might have an error running in batch mode, and we
return it.
+ exit $EXITCODE
+fi
- [Emacs-diffs] scratch/merge-cedet-tests f8e3bbc 311/316: Return fully qualified types if necessary., (continued)
- [Emacs-diffs] scratch/merge-cedet-tests f8e3bbc 311/316: Return fully qualified types if necessary., Edward John Steere, 2017/01/28
- [Emacs-diffs] scratch/merge-cedet-tests 0041d52 314/316: Add header comments and provide., Edward John Steere, 2017/01/28
- [Emacs-diffs] scratch/merge-cedet-tests 0141378 247/316: Remove obsolete cvs-auto-updated 'X-RCS' line., Edward John Steere, 2017/01/28
- [Emacs-diffs] scratch/merge-cedet-tests c672504 249/316: etc/srecode/c.srt: New file, contents from cpp.srt, Edward John Steere, 2017/01/28
- [Emacs-diffs] scratch/merge-cedet-tests ab1acb9 300/316: Test refactor/move, Edward John Steere, 2017/01/28
- [Emacs-diffs] scratch/merge-cedet-tests 75c52c3 055/316: (ms_structs, fun): New test example from Marting Stein., Edward John Steere, 2017/01/28
- [Emacs-diffs] scratch/merge-cedet-tests dbfb320 057/316: Test files contributed by Barry OReilly, Edward John Steere, 2017/01/28
- [Emacs-diffs] scratch/merge-cedet-tests d8b5630 060/316: Patch from Marcus Harnisch, Edward John Steere, 2017/01/28
- [Emacs-diffs] scratch/merge-cedet-tests dbed2db 058/316: Run the tests., Edward John Steere, 2017/01/28
- [Emacs-diffs] scratch/merge-cedet-tests d58e8d8 063/316: Reverse the exist status of Emacs., Edward John Steere, 2017/01/28
- [Emacs-diffs] scratch/merge-cedet-tests c9de94f 064/316: * cit-test.sh: Add support for running in batch mode.,
Edward John Steere <=
- [Emacs-diffs] scratch/merge-cedet-tests 66b117d 071/316: Test files contributed by Barry OReilly, Edward John Steere, 2017/01/28
- [Emacs-diffs] scratch/merge-cedet-tests 0c4deea 079/316: Test files contributed by Barry OReilly, Edward John Steere, 2017/01/28
- [Emacs-diffs] scratch/merge-cedet-tests feb2025 074/316: Don't check contents after initial fil, Edward John Steere, 2017/01/28
- [Emacs-diffs] scratch/merge-cedet-tests 5812c59 073/316: Remove obsolete cvs-auto-updated 'X-RCS' line., Edward John Steere, 2017/01/28
- [Emacs-diffs] scratch/merge-cedet-tests 89e6966 077/316: Remove compatibility function `cedet-called-interactively-p'., Edward John Steere, 2017/01/28
- [Emacs-diffs] scratch/merge-cedet-tests 3739238 086/316: Move tests in cedet/semantic, Edward John Steere, 2017/01/28
- [Emacs-diffs] scratch/merge-cedet-tests e145e4d 088/316: ("Lisp"): Add cit-cpp, cit-el, cit-texi, cit-load, Edward John Steere, 2017/01/28
- [Emacs-diffs] scratch/merge-cedet-tests bc36c86 075/316: Add header comments and provide., Edward John Steere, 2017/01/28
- [Emacs-diffs] scratch/merge-cedet-tests 6a63635 090/316: ("ede-proj-project"): Add scripts/cit-test.sh, Edward John Steere, 2017/01/28
- [Emacs-diffs] scratch/merge-cedet-tests b5a5b45 091/316: ("Lisp"): Add cit-gnustep.el, Edward John Steere, 2017/01/28